guitartoolkit on 2g?

Discussion in 'iTunes App Store Games & Apps' started by berky93, Sep 14, 2008.

  1. berky93

    berky93 New Member

    Oct 28, 2007
    Likes Received:
    whenever I sync my ipod, it tells me that guitartoollkit cannot be installed because its incompatible with my ipod (ipod touch gen2) what could cause this problem? I mean the filesystems and the firmware is almost identical, save for some speaker support and nike+ support.

    any ideas how to fi this or when an update is available?

Share This Page